[v1 releases] quasar 1.0-beta.10, @quasar/cli 1.0-beta.3, @quasar/app 1.0-beta.11


  • Admin

    Lots of improvements and new features!

    If you upgrade your global @quasar/cli package (highly recommended) — $ npm install -g @quasar/cli@latest, you can then run $ quasar upgrade inside your v1 projects and it will auto upgrade all project quasar related packages automatically (non breaking changes).

    Quasar v1.0.0-beta.10

    • fix(QBtn): Raising shadow on press
    • fix(QBtn): [V1 - BUG] unelevated q-btn-group has shadow on :active #3504
    • feat(Platform): New body classes for mobile platforms (along with platform-ios): platform-android, platform-winphone
    • feat(QBtnGroup,QBtnToggle): New prop -> spread (spreads horizontally to available space) #3497
    • fix(quasar): Fix wheel event beeing passive by default in chrome (#3514)
    • feat(quasar): Add new-value-mode as default add mode to QSelect (#3518)
    • fix(quasar): Populate QSelect’s input on first show when use-input and hide-selected (#3516)
    • fix(quasar): Controls related styles - fix QSelect height when use-input, fix QField control max-width (#3517)
    • fix(QCarousel): [V1] QCarousel height through CSS #3521
    • fix(QPopupProxy): [v1] QPopupProxy does not expose events #3509
    • feat(quasar): Electron drag window class (q-electron-drag and q-electron-drag–exception CSS classes) #3494
    • fix: (lang) the Chinese date should use the local timezone instead of UTC zone always (#3533)
    • fix(quasar): Respect disable for links in QBtn and router-link related (#3552)
    • feat(quasar): QInfiniteScroll - add container prop to specify scroll container (#3408)
    • fix(quasar): Trigger lazy validation rules on QSelect and controls without input (#3519)
    • fix(quasar): (update to latest Google Chrome specs) Use non-passive event listeners in touch directives where needed (#3553)
    • feat(quasar+docs): Sanitize for QChatMessage, QSelect, Loading (#3562)

    @quasar/cli v1.0.0-beta.3

    New command: “quasar upgrade” --> upgrades all quasar related packages to their latest version (non-breaking changes).

    @quasar/app v1.0.0-beta.11

    One of the most important piece of work: Faster SSR builds

    Features/Improvements

    • Upgrade to Vue 2.6.8
    • Typescript support for preFetch feature
    • “quasar help” in a project folder will now also show @quasar/cli supplied commands too
    • Ability to run boot files from node_modules also (when specifying such a boot file in quasar.conf.js > boot, the String defining it starts with ~ character – same as css option)
    • Drop default “.js” extension from sourceFiles definition in order for Typescript to work also
    • Small improvement to app files validations
    • Async chain/extendWebpack support for quasar.conf.js

    App Extensions

    • IndexAPI new method api.registerDescribeApi(name, file)
    • Install API -> render(file[, scope])
    • Install API -> render() now asks if overwriting file
    • Install API -> extendPackageJson param support as relative path to a json file
    • fix: same App Extension chain/extendWebpack were called for main electron process too


  • Fantastic work thanks! Just curious, any idea when final v1.0 will be released?



  • npm install @quasar/cli@latest, will upgrade quasar cli locally but not globally. After npm install -g @quasar/cli@latest, I tried quasar upgrade but nothing changed in windows environment?! I think quasar upgrade is trying to make it via yarn install not via npm. yarn has a lot of issues in windows?!!


  • Admin

    @amer1616 yes, it’s npm install -g @quasar/cli@latest. Fixed that in description.
    NPM is recommended for the global @quasar/cli and yarn for project deps, regardless of your operating system. We’re trying to help you, the devs, avoid all the pitfalls/traps that npm/yarn has.

    If you’ve installed @quasar/cli into your project folder, remove it from there.



  • @rstoenescu Thanks a lot. I only could successfully upgrade quasar locally after updating yarn in windows to the latest version. Otherwise, quasar upgrade, wouldn’t work. 🙂


Log in to reply